# Class UnlinkedContractError

This error indicates that you attempted to encode a contract creation transaction for a contract that has not had all of its libraries linked.

#### Hierarchy

- Error
  - UnlinkedContractError

- Defined in encoder/lib/errors.ts:66

#####
Index

### Constructors

constructor

### Properties

bytecode
contractName

## Constructors

### constructor

- new UnlinkedContractError(contractName, bytecode): UnlinkedContractError

- #### Parameters

  - ##### contractName: string

  - ##### bytecode: string

  #### Returns UnlinkedContractError

  Overrides Error.constructor

  - Defined in encoder/lib/errors.ts:69

## Properties

### bytecode

bytecode: string

- Defined in encoder/lib/errors.ts:68

### contractName

contractName: string

- Defined in encoder/lib/errors.ts:67

Generated using TypeDoc